<div style="margin-top: 20px;">
	<h5>
		<span>Pengurusan Biro Jasa</span>
	</h5>

	<p-tabView>
		<p-tabPanel header="Pengurusan Biro Jasa">
			<div class="fieldset-legend">
				<p-accordion class="filter-accordion">
					<p-accordionTab header="Filter" [selected]="true">
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
								<label class="form-control-label" for="field_salesman">Sales</label>
								<select class="form-control" id="field_salesman" name="salesman">
									<option [ngValue]="null"></option>
									<option [ngValue]="salesmanOption.idSalesman" *ngFor="let salesmanOption of salesmans; trackBy: trackSalesmanById">{{salesmanOption.partyName}}</option>
								</select>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label class="form-control-label" for="field_statusType">Status</label>
								<select class="form-control" id="field_statusType" name="statusType">
									<option [ngValue]="null"></option>
									<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
								</select>
							</div>
						</div>
					</div>

					<div class="btn-filter-wrapper">
						<button type="button" class="btn btn-primary btn-filter">
							<span>Filter</span>
						</button>
					</div>
					</p-accordionTab>
				</p-accordion>

				<p-dataTable
					[value]="vehicleDocumentRequirements"
					[editable]="true"
					[rows]="itemsPerPage"
					[paginator]="true"
					[pageLinks]="5"
					[rowsPerPageOptions]="[10,15,20]"
					[totalRecords]="totalItems"
					[responsive]="true"
					[lazy]="true"
					dataKey="idRequirement"
					expandableRows="false"
					(onLazyLoad)="loadDataLazy($event)"
					(onEditComplete)="updateRowData($event)"
					[(selection)]="selected">
					<p-header>
						<div class="row"></div>
					</p-header>
					<p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
					<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
					<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
						<ng-template let-rowIndex="rowIndex" pTemplate="body">
							{{rowIndex + 1}}
						</ng-template>
					</p-column>
					<p-column header="No. Faktur" [style]="{'width': '120px', 'text-align': 'left'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.fakturATPM}}
						</ng-template>
					</p-column>
					<p-column header="No. IVU" [style]="{'width': '150px', 'text-align': 'left'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.ivuNumber}}
						</ng-template>
					</p-column>
					
					<p-column header="Nama STNK" [style]="{'width': '120px', 'text-align': 'left'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							<div *ngIf="rowData.personOwner != null">
								{{rowData.personOwner.name}}
							</div>
							<div *ngIf="rowData.personOwner == null">
								{{rowData.organizationOwner.name}}
							</div>
						</ng-template>
					</p-column>
					<p-column header="No. Mesin" [style]="{'width': '120px', 'text-align': 'left'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.vehicle.idMachine }}
						</ng-template>
					</p-column>
					<p-column header="Sales">
						<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.salesName}}
						</ng-template>
					</p-column>
					<p-column header="Note" [style]="{'width': '120px', 'text-align': 'center'}">
						<ng-template let-rowData="rowData" pTemplate="body">
							<a (click)="showNote(rowData.idRequirement)" style="margin-right:10px">Note</a>
							<!-- <a (click)="showBiroJasaModal(rowData)">Kirim Biro Jasa</a> -->
						</ng-template>
					</p-column>
					<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
					</ng-template>
				</p-dataTable>
				<div class="btn-filter-wrapper pull-right">
					<button (click)="showBiroJasaModal('null')" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
						<span>Kirim Biro Jasa</span>
					</button>
				</div>
				<div class="btn-filter-wrapper pull-left">
					<button (click)="reprintBiro1()" type="button" class="btn btn-primary btn-filter">
						<span>Kirim Ulang Biro Jasa</span>
					</button>
				</div>
			</div>
		</p-tabPanel>

		<p-tabPanel header="Pending">
			<jhi-registration-pengurusan-biro-jasa-pending (data)="showBiroJasaModal($event)"></jhi-registration-pengurusan-biro-jasa-pending>
		</p-tabPanel>

		<p-tabPanel header="Revisi">
			<jhi-registration-pengurusan-biro-jasa-revisi (data)="showBiroJasaModal($event)"></jhi-registration-pengurusan-biro-jasa-revisi>
		</p-tabPanel>
	</p-tabView>

</div>

<p-dialog header="Pilih Biro Jasa" [(visible)]="biroJasaModal" [modal]="true" [width]="400" [responsive]="true">
	<div class="row">
	<div class="col-sm-12">
			<form name="editForm" role="form" novalidate #editForm="ngForm">
				<div class="form-group">
				<input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement"/>
					<!-- <span class="col-sm-2 ui-fluid">
						<p align-center>
							<p-autoComplete
								[(ngModel)]="vendor" 
								name="field_vendor"
								field="organization.name" 
								dataKey="idVendor"
								emptyMessage="No Data Found..." 
								placeholder="Vendor ID"
								[minLength]="1"
								[autoHighlight]="true"
								[readonly]="false"
								[forceSelection]="true" 
								[dropdown]="false" 
								[suggestions]="vendors"
								(completeMethod)="searchVendor($event)" 
								(onSelect)="selectVendor($event)"
								inputStyleClass="form-control">
								<ng-template let-item pTemplate="item">
									{{item.idVendor}} - {{item.organization.name}} 
								</ng-template>
							</p-autoComplete>
						</p>
					</span> -->
				</div>
					<!-- <div class="form-group">
							<p-dropdown *ngIf="!fetchMotor"
								id="field_statusType"
								name="idVendor"
								[options]="vendorForSelect"
								[(ngModel)]="selectedVendor"
								[style]="{'width':'100%'}"
								[filter]="true" filterBy="label">
							</p-dropdown>
					</div> -->
					<div class="ui-g-12">
						<select id="field_statusType" name="idVendor" [(ngModel)]="selectedVendor" class="form-control">
							<option [ngValue]="null">-Pilih Vendor-</option>
							<option [ngValue]="optionsVendor.idVendor" *ngFor="let optionsVendor of vendors; trackBy: trackVendorById">{{optionsVendor.organization.name}}</option>
						</select>
					</div>
			</form>
		</div>
	</div>
	<p-footer>
		<button pButton icon="fa-print" type="button" (click)="kirimBiroJasa(selectedVendor)" label="Cetak BAST"></button>
	</p-footer>
</p-dialog>

<p-dialog header="Note" [(visible)]="noteModal" modal="true">
	<div class="row">
		<div class="col-sm-12">
			<form name="editForm" role="form" novalidate (ngSubmit)="updateNote()" #editForm="ngForm">
				<textarea pInputTextarea [rows]="5" class="form-control" name="note" id="note" [(ngModel)]="vehicleDocumentRequirement.note"></textarea>
				<!-- <input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement"/> -->
				<button class="btn btn-primary pull-right" type="submit" style="margin-top:5px">Update</button>
			</form>
		</div>
		</div>
	</div>
</p-dialog>

<p-dialog header="Pilih Cetak Ulang Biro Jasa" [(visible)]="reprintBiro" [modal]="true" [width]="400" [responsive]="true">
	<div class="row">
	<div class="col-sm-12">
					<div class="ui-g-12">
						<select id="field_statusType" name="listbast" [(ngModel)]="selectedSub" class="form-control">
							<option [ngValue]="null">-Pilih No BAST-</option>
							<option [ngValue]="optionsListbast.submissionNo" 
							*ngFor="let optionsListbast of listbast; trackBy: trackVendorById">
							{{optionsListbast.submissionNo}} - {{optionsListbast.dateSubmission | date:'dd-MM-yyyy'}}</option>
						</select>
					</div>
		</div>
	</div>
	<p-footer>
		<button pButton icon="fa-print" type="button" (click)="printulang()" label="Cetak BAST"></button>
	</p-footer>
</p-dialog>
